# Copyright 2022 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import api, fields, models


class AccountAnalyticLine(models.Model):
    _inherit = "account.analytic.line"
    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------
    task_type_id = fields.Many2one(
        comodel_name="project.type",
        string="Type de tâche",
        domain="[('task_ok', '=', True)]",
    )
    project_type_id = fields.Many2one(
        comodel_name="project.type",
        string="Type de projet",
        related="project_id.type_id",
        store=True,
    )
    department_id = fields.Many2one(related="employee_id.department_id")

    @api.onchange("task_id")
    def _onchange_task_id(self):
        super(AccountAnalyticLine, self)._onchange_task_id()
        if self.task_id:
            self.task_type_id = self.task_id.type_id

    # ------------------------------------------------------
    # SQL Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Default methods
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Onchange / Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # CRUD methods (ORM overrides)
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Business methods
    # ------------------------------------------------------
