# Copyright 2022 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import api, fields, models


class ProjectTask(models.Model):
    _inherit = "project.task"

    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------
    manual_remaining_hours = fields.Float(
        string="Reste à faire", tracking=True
    )
    review_date = fields.Date("Date replanifiée")

    subtask_manual_remaining_hours = fields.Float(
        "Sous-Tâches", compute="_compute_subtask_manual_remaining_hours"
    )
    # ------------------------------------------------------
    # SQL Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Default methods
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------
    @api.depends("child_ids.manual_remaining_hours")
    def _compute_subtask_manual_remaining_hours(self):
        for task in self:
            task.subtask_manual_remaining_hours = sum(
                task.child_ids.mapped("manual_remaining_hours")
            )

    # ------------------------------------------------------
    # Onchange / Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # CRUD methods (ORM overrides)
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Business methods
    # ------------------------------------------------------
