# Copyright 2022 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class ReportProjectTaskUser(models.Model):
    _inherit = "report.project.task.user"

    manual_remaining_hours = fields.Float("Reste à faire", readonly=True)
    task_type_id = fields.Many2one(
        "project.type", string="Type de tâche", readonly=True
    )

    def _select(self):
        return (
            super(ReportProjectTaskUser, self)._select()
            + """,
            t.type_id as task_type_id,
            manual_remaining_hours as manual_remaining_hours"""
        )

    def _group_by(self):
        return (
            super(ReportProjectTaskUser, self)._group_by()
            + """,
            t.type_id,
            manual_remaining_hours
            """
        )
